/*
 * Project: Examples for GJA course
 * Authors: Ing. Jan Kouřil
 *          Ing. Jaroslav Dytrych idytrych@fit.vutbr.cz
 * File: MyWebService.java
 * Description: Example usage of JAX-WS with Spring - Web service
 */

/**
 * @file MyWebService.java
 *
 * @brief Example usage of JAX-WS with Spring - Web service
 */

/**
 * @package cz.vutbr.fit.JAXWS_Spring
 * 
 * @brief Example usage of JAX-WS with Spring
 */
package cz.vutbr.fit.JAXWS_Spring;

import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.ParameterStyle;
import javax.jws.soap.SOAPBinding.Style;
import javax.jws.soap.SOAPBinding.Use;

/**
 * Web service
 */
@WebService(serviceName="MyWebService")
@SOAPBinding(style = Style.RPC, use = Use.LITERAL, parameterStyle = ParameterStyle.WRAPPED)
public class MyWebService {

  /**
   * Testing object
   *
   * Dependency Injection (DI) via Spring
   */
  MyBObject myBObject;

  /**
   * Sets testing object
   *
   * @param bObject Testing object
   */
  @WebMethod(exclude = true)
  public void setMyBObject(MyBObject bObject) {
    this.myBObject = bObject;
  }

  /**
   * Prints message from object
   *
   * @return Returns message from object
   */
  @WebMethod(operationName = "printMessage")
  public String printMessage() {
    return myBObject.printMessage();
  }
}
